TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.EMSDTCConnectionFactory Class Reference

Connection factory class for creating EMSDTCConnections and subsequently EMSMSDTCSessions for participating in MSDTC distributed transactions. More...

Inheritance diagram for TIBCO.EMS.EMSDTCConnectionFactory:

## Public Member Functions
EMSDTCConnection | CreateEMSDTCConnection ()
| Create a EMSDTCconnection More...
EMSDTCConnection | CreateEMSDTCConnection (String userName, String password)
| Create a EMSDTCConnection More...
| EMSDTCConnectionFactory ()
| Construct an empty EMSDTCConnectionFactory More...
| EMSDTCConnectionFactory (string serverUrl)
| Construct a EMSDTCConnectionFactory given server url More...
| EMSDTCConnectionFactory (string serverUrl, string clientId)
| Construct a EMSDTCConnectionFactory given the server url, and client id More...
| EMSDTCConnectionFactory (string serverUrl, string clientId, Hashtable properties)
| Construct a EMSDTCConnectionFactory given server url, client id and properties More...
override Object | Clone ()
| Overrides the cloning process More...

## Detailed Description

Connection factory class for creating EMSDTCConnections and subsequently EMSMSDTCSessions for participating in MSDTC distributed transactions.

An EMSDTCConnectionFactory differs from the regular ConnectionFactory in that it supports the creation of EMSDTCConnections. EMSDTCConnections can then be used to create EMSDTCSessions and only producers/consumers created on the EMSDTCSessions are allowed to participate in MSDTC Transactions. Regular Connections, Sessions and producers/consumers created off these regular sessions cannot participate in MSDTC Transactions.

## Constructor & Destructor Documentation

TIBCO.EMS.EMSDTCConnectionFactory.EMSDTCConnectionFactory | ( |  | ) |
| inline

Construct an empty EMSDTCConnectionFactory

When administrators define factories in the EMS server, these constructors automatically access the corresponding objects in the repository.

TIBCO.EMS.EMSDTCConnectionFactory.EMSDTCConnectionFactory | ( | string | serverUrl | ) |
| inline

Construct a EMSDTCConnectionFactory given server url

When administrators define factories in the EMS server, these constructors automatically access the corresponding objects in the repository.

Reconnect and Fault Tolerance

To enable reconnection behavior and fault tolerance, the connection factory's server URL parameter must be a comma-separated list of two or more URLs. To enable client reconnection in a situation with only one server, you may supply two copies of that server's URL (for example, tcp://localhost:7222,tcp://localhost:7222)

Parameters

  serverUrl | The constructor contacts the EMS server at this URL, to access a factory. If connecting a fault-tolerant client, specify two or more comma-separated URLs, as described below in Reconnect and Fault Tolerance.

TIBCO.EMS.EMSDTCConnectionFactory.EMSDTCConnectionFactory | ( | string | serverUrl,
|  | string | clientId
| ) |  |
| inline

Construct a EMSDTCConnectionFactory given the server url, and client id

When administrators define factories in the EMS server, these constructors automatically access the corresponding objects in the repository.

Reconnect and Fault Tolerance

To enable reconnection behavior and fault tolerance, the connection factory's server URL parameter must be a comma-separated list of two or more URLs. To enable client reconnection in a situation with only one server, you may supply two copies of that server's URL (for example, tcp://localhost:7222,tcp://localhost:7222)

Parameters

  serverUrl | The constructor contacts the EMS server at this URL, to access a factory. If connecting a fault-tolerant client, specify two or more comma-separated URLs, as described below in Reconnect and Fault Tolerance.
  clientId | The id of the client.

A client ID string lets the server associate a client-specific factory with each client program. When present, the server supplies that factory to the client. If a factory does not yet exist for the client, the server creates one, and stores it for future use by that specific client.

TIBCO.EMS.EMSDTCConnectionFactory.EMSDTCConnectionFactory | ( | string | serverUrl,
|  | string | clientId,
|  | Hashtable | properties
| ) |  |
| inline

Construct a EMSDTCConnectionFactory given server url, client id and properties

When administrators define factories in the EMS server, these constructors automatically access the corresponding objects in the repository.

Reconnect and Fault Tolerance

To enable reconnection behavior and fault tolerance, the connection factory's server URL parameter must be a comma-separated list of two or more URLs. To enable client reconnection in a situation with only one server, you may supply two copies of that server's URL (for example, tcp://localhost:7222,tcp://localhost:7222)

Parameters

  serverUrl | The constructor contacts the EMS server at this URL, to access a factory. If connecting a fault-tolerant client, specify two or more comma-separated URLs, as described below in Reconnect and Fault Tolerance.
  clientId | The id of the client.

A client ID string lets the server associate a client-specific factory with each client program. When present, the server supplies that factory to the client. If a factory does not yet exist for the client, the server creates one, and stores it for future use by that specific client.

Parameters

  properties | The properties of the client such as user name and password.

When present, these properties govern the behavior of the connection objects that a client-specific factory creates. For a list of properties, see the Connection-Related Fields in the Tibems members.

## Member Function Documentation

override Object TIBCO.EMS.EMSDTCConnectionFactory.Clone | ( |  | ) |
| inline

Overrides the cloning process

Returns
  An object that is a clone of this `EMSDTCConnectionFactory` object

EMSDTCConnection TIBCO.EMS.EMSDTCConnectionFactory.CreateEMSDTCConnection | ( |  | ) |
| inline

Create a EMSDTCconnection

The connection object presents a default user identity. If the server configuration permits that user, then the call succeeds.

Note: Before creating an EMSDTCConnection, the clientId has to be set for the connection factory or else an exception is thrown to indicate the absence of clientId.

Returns
  The newly created EMSDTCConnection.

Exceptions

  EMSException | If the cilentID is null or some other internal error

EMSDTCConnection TIBCO.EMS.EMSDTCConnectionFactory.CreateEMSDTCConnection | ( | String | userName,
|  | String | password
| ) |  |
| inline

Create a EMSDTCConnection

The connection object presents a default user identity. If the server configuration permits that user, then the call succeeds.

Note: Before creating an EMSDTCConnection, the clientId has to be set for the connection factory or else an exception is thrown to indicate the absence of clientId.

Returns
  The newly created EMSDTCConnection.

Exceptions

  EMSException | If the cilentID is null or some other internal error